UL(1)

NAZWA
ul - podkreśla tekst

SKŁADNIA

ul [opcje] [plik...]

OPIS

ul czyta podane pliki (lub standardowe wejście, gdy nie podano plików) i tłumaczy pojawiające się podkreślenia na sekwencje podkreśleń, działające na danym terminalu, określonym przez zmienną środowiskową TERM. Odczytywana jest baza danych terminfo, w celu określenia odpowiednich sekwencji podkreślających. Jeśli terminal nie potrafi podkreślać, lecz może dawać tryb wytłuszczony, to jest on używany. Jeśli terminal potrafi nadrukowywać znaki lub jeśli automatycznie obsługuje podkreślenia, to ul degeneruje do zwykłego cat(1). Jeśli terminal nie potrafi podkreślać, podkreślanie jest ignorowane.

OPCJE

-i, --indicated
    Podkreślenie jest wskazywane przez oddzielny wiersz, zawierający odpowiednie kreski "-", co jest przydatne, aby zobaczyć podkreślenie w strumieniu wyjściowym nroff na terminalu CRT.

-t, -T, --terminal terminal
    Przesłania zmienną środowiskową TERM podanym typem terminala.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

ŚRODOWISKO

Używana jest następująca zmienna środowiskowa:

TERM
    Zmienna TERM służy do powiązania urządzenia tty z jego opisem możliwości urządzenia (zob. terminfo(5)). TERM jest ustawiana w czasie logowania, albo przez domyślny typ terminala podany w /etc/ttys, albo w procesie logowania przez użytkownika, w jego pliku login (zob. setenv(3)).

HISTORIA

Polecenie ul pojawiło się w 3.0BSD.

USTERKI

nroff zazwyczaj wypisuje serie znaków cofania i podkreśleń, wymieszanych z tekstem, co wskazuje na podkreślenie. Nie są czynione żadne próby zoptymalizowania ruchów wstecznych.

ZOBACZ TAKŻE

colcrt(1), login(1), man(1), nroff(1), setenv(3), terminfo(5)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie ul jest częścią pakietu util-linux, który można pobrać ze strony